Index: src/other/incrTcl/itcl/CMake/CheckCSourceRuns.cmake
===================================================================
--- src/other/incrTcl/itcl/CMake/CheckCSourceRuns.cmake	(revision 54114)
+++ src/other/incrTcl/itcl/CMake/CheckCSourceRuns.cmake	(working copy)
@@ -70,32 +70,32 @@
 # 
 #=============================================================================
 
-MACRO(CHECK_C_SOURCE_RUNS SOURCE VAR)
-  IF("${VAR}" MATCHES "^${VAR}$")
-    SET(MACRO_CHECK_FUNCTION_DEFINITIONS 
+macro(CHECK_C_SOURCE_RUNS SOURCE VAR)
+  if("${VAR}" MATCHES "^${VAR}$")
+    set(MACRO_CHECK_FUNCTION_DEFINITIONS 
       "-D${VAR} ${CMAKE_REQUIRED_FLAGS}")
-    IF(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
+    if(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
         "-DLINK_LIBRARIES:STRING=${CMAKE_REQUIRED_LIBRARIES}")
-    ELSE(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
-    ENDIF(CMAKE_REQUIRED_LIBRARIES)
-    IF(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
+    else(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
+    endif(CMAKE_REQUIRED_LIBRARIES)
+    if(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
         "-DINCLUDE_DIRECTORIES:STRING=${CMAKE_REQUIRED_INCLUDES}")
-    ELSE(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
-    ENDIF(CMAKE_REQUIRED_INCLUDES)
-    IF(EXISTS "${SOURCE}")
-      SET(CHECK_SRC "${SOURCE}")
-    ELSE(EXISTS "${SOURCE}")
-      FILE(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
+    else(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
+    endif(CMAKE_REQUIRED_INCLUDES)
+    if(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${SOURCE}")
+    else(EXISTS "${SOURCE}")
+      file(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
         "${SOURCE}\n")
-      SET(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
-    ENDIF(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
+    endif(EXISTS "${SOURCE}")
     
-    MESSAGE(STATUS "Performing Test ${VAR}")
-    TRY_RUN(${VAR}_EXITCODE ${VAR}_COMPILED
+    message(STATUS "Performing Test ${VAR}")
+    try_run(${VAR}_EXITCODE ${VAR}_COMPILED
       ${CMAKE_BINARY_DIR}
       ${CHECK_SRC}
       COMPILE_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS}
@@ -105,33 +105,33 @@
       "${CHECK_C_SOURCE_COMPILES_ADD_INCLUDES}"
       COMPILE_OUTPUT_VARIABLE OUTPUT)
     # if it did not compile make the return value fail code of 1
-    IF(NOT ${VAR}_COMPILED)
-      SET(${VAR}_EXITCODE 1)
-    ENDIF(NOT ${VAR}_COMPILED)
+    if(NOT ${VAR}_COMPILED)
+      set(${VAR}_EXITCODE 1)
+    endif(NOT ${VAR}_COMPILED)
     # if the return value was 0 then it worked
-    IF("${${VAR}_EXITCODE}" EQUAL 0)
-      SET(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
-      MESSAGE(STATUS "Performing Test ${VAR} - Success")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
+    if("${${VAR}_EXITCODE}" EQUAL 0)
+      set(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
+      message(STATUS "Performing Test ${VAR} - Success")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
         "Performing C SOURCE FILE Test ${VAR} succeded with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}}\n"
         "Source file was:\n${SOURCE}\n")
-    ELSE("${${VAR}_EXITCODE}" EQUAL 0)
-      IF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "${${VAR}_EXITCODE}")
-      ELSE(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "" CACHE INTERNAL "Test ${VAR}")
-      ENDIF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+    else("${${VAR}_EXITCODE}" EQUAL 0)
+      if(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "${${VAR}_EXITCODE}")
+      else(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "" CACHE INTERNAL "Test ${VAR}")
+      endif(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
 
-      MESSAGE(STATUS "Performing Test ${VAR} - Failed")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
+      message(STATUS "Performing Test ${VAR} - Failed")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
         "Performing C SOURCE FILE Test ${VAR} failed with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}_EXITCODE}\n"
         "Source file was:\n${SOURCE}\n")
 
-    ENDIF("${${VAR}_EXITCODE}" EQUAL 0)
-  ENDIF("${VAR}" MATCHES "^${VAR}$")
-ENDMACRO(CHECK_C_SOURCE_RUNS)
+    endif("${${VAR}_EXITCODE}" EQUAL 0)
+  endif("${VAR}" MATCHES "^${VAR}$")
+endmacro(CHECK_C_SOURCE_RUNS)
 
Index: src/other/incrTcl/itcl/CMake/CheckSystemFunctionality.cmake
===================================================================
--- src/other/incrTcl/itcl/CMake/CheckSystemFunctionality.cmake	(revision 54114)
+++ src/other/incrTcl/itcl/CMake/CheckSystemFunctionality.cmake	(working copy)
@@ -1,35 +1,35 @@
 # Checking compiler flags benefits from some macro logic
 
-INCLUDE(CheckCCompilerFlag)
+include(CheckCCompilerFlag)
 
-MACRO(CHECK_C_FLAG flag)
-  STRING(TOUPPER ${flag} UPPER_FLAG)
-  STRING(REGEX REPLACE " " "_" UPPER_FLAG ${UPPER_FLAG})
-  STRING(REGEX REPLACE "=" "_" UPPER_FLAG ${UPPER_FLAG})
-  IF(${ARGC} LESS 2)
-    CHECK_C_COMPILER_FLAG(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
-  ELSE(${ARGC} LESS 2)
-    IF(NOT ${ARGV1})
-      CHECK_C_COMPILER_FLAG(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
-      IF(${UPPER_FLAG}_COMPILER_FLAG)
-	MESSAGE("- Found ${ARGV1} - setting to -${flag}")
-	SET(${ARGV1} "-${flag}" CACHE STRING "${ARGV1}" FORCE)
-      ENDIF(${UPPER_FLAG}_COMPILER_FLAG)
-    ENDIF(NOT ${ARGV1})
-  ENDIF(${ARGC} LESS 2)
-  IF(${UPPER_FLAG}_COMPILER_FLAG)
-    SET(${UPPER_FLAG}_COMPILER_FLAG "-${flag}")
-  ENDIF(${UPPER_FLAG}_COMPILER_FLAG)
-ENDMACRO()
+macro(CHECK_C_FLAG flag)
+  string(TOUPPER ${flag} UPPER_FLAG)
+  string(REGEX REPLACE " " "_" UPPER_FLAG ${UPPER_FLAG})
+  string(REGEX REPLACE "=" "_" UPPER_FLAG ${UPPER_FLAG})
+  if(${ARGC} LESS 2)
+    check_c_compiler_flag(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
+  else(${ARGC} LESS 2)
+    if(NOT ${ARGV1})
+      check_c_compiler_flag(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
+      if(${UPPER_FLAG}_COMPILER_FLAG)
+	message("- Found ${ARGV1} - setting to -${flag}")
+	set(${ARGV1} "-${flag}" CACHE STRING "${ARGV1}" FORCE)
+      endif(${UPPER_FLAG}_COMPILER_FLAG)
+    endif(NOT ${ARGV1})
+  endif(${ARGC} LESS 2)
+  if(${UPPER_FLAG}_COMPILER_FLAG)
+    set(${UPPER_FLAG}_COMPILER_FLAG "-${flag}")
+  endif(${UPPER_FLAG}_COMPILER_FLAG)
+endmacro()
 
-MACRO(CHECK_C_FLAG_GATHER flag FLAGS)
-  STRING(TOUPPER ${flag} UPPER_FLAG)
-  STRING(REGEX REPLACE " " "_" UPPER_FLAG ${UPPER_FLAG})
-  CHECK_C_COMPILER_FLAG(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
-  IF(${UPPER_FLAG}_COMPILER_FLAG)
-    SET(${FLAGS} "${${FLAGS}} -${flag}")
-  ENDIF(${UPPER_FLAG}_COMPILER_FLAG)
-ENDMACRO()
+macro(CHECK_C_FLAG_GATHER flag FLAGS)
+  string(TOUPPER ${flag} UPPER_FLAG)
+  string(REGEX REPLACE " " "_" UPPER_FLAG ${UPPER_FLAG})
+  check_c_compiler_flag(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
+  if(${UPPER_FLAG}_COMPILER_FLAG)
+    set(${FLAGS} "${${FLAGS}} -${flag}")
+  endif(${UPPER_FLAG}_COMPILER_FLAG)
+endmacro()
 
 
 # Automate putting variables from tests into CFLAGS,
@@ -40,78 +40,78 @@
 # If a CONFIG_CFLAGS variable is defined, they will append
 # an appropriate definition to that variable.
 
-INCLUDE(CheckFunctionExists)
-INCLUDE(CheckIncludeFile)
-INCLUDE(CheckIncludeFiles)
-INCLUDE(CheckIncludeFileCXX)
-INCLUDE(CheckTypeSize)
-INCLUDE(CheckLibraryExists)
-INCLUDE(CheckStructHasMember)
-INCLUDE(CheckCSourceCompiles)
-INCLUDE(ResolveCompilerPaths)
+include(CheckFunctionExists)
+include(CheckIncludeFile)
+include(CheckIncludeFiles)
+include(CheckIncludeFileCXX)
+include(CheckTypeSize)
+include(CheckLibraryExists)
+include(CheckStructHasMember)
+include(CheckCSourceCompiles)
+include(ResolveCompilerPaths)
 
-MACRO(CONFIG_CHECK_FUNCTION_EXISTS function var)
-  CHECK_FUNCTION_EXISTS(${function} ${var})
-  IF(${var})
+macro(CONFIG_CHECK_FUNCTION_EXISTS function var)
+  check_function_exists(${function} ${var})
+  if(${var})
     add_definitions(-D${var}=1)
-  ENDIF(${var})
-ENDMACRO(CONFIG_CHECK_FUNCTION_EXISTS)
+  endif(${var})
+endmacro(CONFIG_CHECK_FUNCTION_EXISTS)
 
-MACRO(CONFIG_CHECK_INCLUDE_FILE filename var)
-  CHECK_INCLUDE_FILE(${filename} ${var})
-  IF(${var})
+macro(CONFIG_CHECK_INCLUDE_FILE filename var)
+  check_include_file(${filename} ${var})
+  if(${var})
     add_definitions(-D${var}=1)
-  ENDIF(${var})
-ENDMACRO(CONFIG_CHECK_INCLUDE_FILE)
+  endif(${var})
+endmacro(CONFIG_CHECK_INCLUDE_FILE)
 
-MACRO(CONFIG_CHECK_INCLUDE_FILE_USABILITY filename var)
-  CHECK_INCLUDE_FILE(${filename} HAVE_${var})
-  IF(HAVE_${var})
-    SET(HEADER_SRC "
+macro(CONFIG_CHECK_INCLUDE_FILE_USABILITY filename var)
+  check_include_file(${filename} HAVE_${var})
+  if(HAVE_${var})
+    set(HEADER_SRC "
 		#include <${filename}>
 		main(){};
 		")
-    CHECK_C_SOURCE_COMPILES("${HEADER_SRC}" ${var}_USABLE)
-  ENDIF(HAVE_${var})
-  IF(NOT HAVE_${var} OR NOT ${var}_USABLE)
+    check_c_source_compiles("${HEADER_SRC}" ${var}_USABLE)
+  endif(HAVE_${var})
+  if(NOT HAVE_${var} OR NOT ${var}_USABLE)
     add_definitions(-DNO_${var}=1)
-  ENDIF(NOT HAVE_${var} OR NOT ${var}_USABLE)
-ENDMACRO(CONFIG_CHECK_INCLUDE_FILE_USABILITY filename var)
+  endif(NOT HAVE_${var} OR NOT ${var}_USABLE)
+endmacro(CONFIG_CHECK_INCLUDE_FILE_USABILITY filename var)
 
-MACRO(CONFIG_CHECK_INCLUDE_FILE_CXX filename var)
-  CHECK_INCLUDE_FILE_CXX(${filename} ${var})
-  IF(${var})
+macro(CONFIG_CHECK_INCLUDE_FILE_CXX filename var)
+  check_include_file_cxx(${filename} ${var})
+  if(${var})
     add_definitions(-D${var}=1)
-  ENDIF(${var})
-ENDMACRO(CONFIG_CHECK_INCLUDE_FILE_CXX)
+  endif(${var})
+endmacro(CONFIG_CHECK_INCLUDE_FILE_CXX)
 
-MACRO(CONFIG_CHECK_TYPE_SIZE typename var)
-  FOREACH(arg ${ARGN})
-    SET(headers ${headers} ${arg})
-  ENDFOREACH(arg ${ARGN})
-  SET(CHECK_EXTRA_INCLUDE_FILES ${headers})
-  CHECK_TYPE_SIZE(${typename} HAVE_${var}_T)
-  SET(CHECK_EXTRA_INCLUDE_FILES)
-  IF(HAVE_${var}_T)
+macro(CONFIG_CHECK_TYPE_SIZE typename var)
+  foreach(arg ${ARGN})
+    set(headers ${headers} ${arg})
+  endforeach(arg ${ARGN})
+  set(CHECK_EXTRA_INCLUDE_FILES ${headers})
+  check_type_size(${typename} HAVE_${var}_T)
+  set(CHECK_EXTRA_INCLUDE_FILES)
+  if(HAVE_${var}_T)
     add_definitions(-DHAVE_${var}_T=1)
     add_definitions(-DSIZEOF${var}=${HAVE_${var}_T})		
-  ENDIF(HAVE_${var}_T)
-ENDMACRO(CONFIG_CHECK_TYPE_SIZE)
+  endif(HAVE_${var}_T)
+endmacro(CONFIG_CHECK_TYPE_SIZE)
 
-MACRO(CONFIG_CHECK_STRUCT_HAS_MEMBER structname member header var)
-  CHECK_STRUCT_HAS_MEMBER(${structname} ${member} ${header} HAVE_${var})
-  IF(HAVE_${var})
+macro(CONFIG_CHECK_STRUCT_HAS_MEMBER structname member header var)
+  check_struct_has_member(${structname} ${member} ${header} HAVE_${var})
+  if(HAVE_${var})
     add_definitions(-DHAVE_${var}=1)
-  ENDIF(HAVE_${var})
-ENDMACRO(CONFIG_CHECK_STRUCT_HAS_MEMBER)
+  endif(HAVE_${var})
+endmacro(CONFIG_CHECK_STRUCT_HAS_MEMBER)
 
-MACRO(CONFIG_CHECK_LIBRARY targetname lname func)
-  IF(NOT ${targetname}_LIBRARY)
-    CHECK_LIBRARY_EXISTS(${lname} ${func} "" HAVE_${targetname}_${lname})
-    IF(HAVE_${targetname}_${lname})
-      RESOLVE_LIBRARIES(${targetname}_LIBRARY "-l${lname}")
-      SET(${targetname}_LINKOPT "-l${lname}")
-    ENDIF(HAVE_${targetname}_${lname})
-  ENDIF(NOT ${targetname}_LIBRARY)
-ENDMACRO(CONFIG_CHECK_LIBRARY lname func)
+macro(CONFIG_CHECK_LIBRARY targetname lname func)
+  if(NOT ${targetname}_LIBRARY)
+    check_library_exists(${lname} ${func} "" HAVE_${targetname}_${lname})
+    if(HAVE_${targetname}_${lname})
+      resolve_libraries(${targetname}_LIBRARY "-l${lname}")
+      set(${targetname}_LINKOPT "-l${lname}")
+    endif(HAVE_${targetname}_${lname})
+  endif(NOT ${targetname}_LIBRARY)
+endmacro(CONFIG_CHECK_LIBRARY lname func)
 
Index: src/other/incrTcl/itcl/CMake/FindTIMEZONE.cmake
===================================================================
--- src/other/incrTcl/itcl/CMake/FindTIMEZONE.cmake	(revision 54114)
+++ src/other/incrTcl/itcl/CMake/FindTIMEZONE.cmake	(working copy)
@@ -5,16 +5,16 @@
 #
 #=============================================================================
 
-SET(TZ_SEARCH_PATHS
+set(TZ_SEARCH_PATHS
 	/usr/share/zoneinfo
 	/usr/share/lib/zoneinfo
 	/usr/lib/zoneinfo
 	)
-FIND_PATH(TIMEZONE_DATA_DIR UTC PATHS ${TZ_SEARCH_PATHS} NO_DEFAULT_PATH)
-MARK_AS_ADVANCED(TIMEZONE_DATA_DIR)
+find_path(TIMEZONE_DATA_DIR UTC PATHS ${TZ_SEARCH_PATHS} NO_DEFAULT_PATH)
+mark_as_advanced(TIMEZONE_DATA_DIR)
 
 # handle the QUIETLY and REQUIRED arguments and set REGEX_FOUND to TRUE if 
 # all listed variables are TRUE
-INCLUDE(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(TIMEZONE DEFAULT_MSG TIMEZONE_DATA_DIR)
+include(FindPackageHandleStandardArgs)
+find_package_handle_standard_args(TIMEZONE DEFAULT_MSG TIMEZONE_DATA_DIR)
 
Index: src/other/incrTcl/itcl/CMake/ac_std_funcs.cmake
===================================================================
--- src/other/incrTcl/itcl/CMake/ac_std_funcs.cmake	(revision 54114)
+++ src/other/incrTcl/itcl/CMake/ac_std_funcs.cmake	(working copy)
@@ -1,97 +1,97 @@
 # Standard tests and wrappers for CMake functions
 
-INCLUDE(CheckCCompilerFlag)
-INCLUDE(CheckFunctionExists)
-INCLUDE(CheckIncludeFile)
-INCLUDE(CheckIncludeFiles)
-INCLUDE(CheckIncludeFileCXX)
-INCLUDE(CheckTypeSize)
-INCLUDE(CheckLibraryExists)
-INCLUDE(CheckStructHasMember)
-INCLUDE(CheckCSourceCompiles)
-INCLUDE(ResolveCompilerPaths)
+include(CheckCCompilerFlag)
+include(CheckFunctionExists)
+include(CheckIncludeFile)
+include(CheckIncludeFiles)
+include(CheckIncludeFileCXX)
+include(CheckTypeSize)
+include(CheckLibraryExists)
+include(CheckStructHasMember)
+include(CheckCSourceCompiles)
+include(ResolveCompilerPaths)
 
-SET(CMAKE_TEST_SRCS_DIR "NOTFOUND")
-FOREACH($candidate_dir ${CMAKE_MODULE_PATH})
-	IF(NOT CMAKE_TEST_SRCS_DIR)
-		IF(EXISTS "${candidate_dir}/test_sources" AND IS_DIRECTORY "${candidate_dir}/test_sources")
-			SET(CMAKE_TEST_SRCS_DIR ${candidate_dir}/test_sources)
-		ENDIF(EXISTS "${candidate_dir}/test_sources" AND IS_DIRECTORY "${candidate_dir}/test_sources")
-	ENDIF(NOT CMAKE_TEST_SRCS_DIR)
-ENDFOREACH($candidate_dir ${CMAKE_MODULE_PATH})
+set(CMAKE_TEST_SRCS_DIR "NOTFOUND")
+foreach($candidate_dir ${CMAKE_MODULE_PATH})
+	if(NOT CMAKE_TEST_SRCS_DIR)
+		if(EXISTS "${candidate_dir}/test_sources" AND IS_DIRECTORY "${candidate_dir}/test_sources")
+			set(CMAKE_TEST_SRCS_DIR ${candidate_dir}/test_sources)
+		endif(EXISTS "${candidate_dir}/test_sources" AND IS_DIRECTORY "${candidate_dir}/test_sources")
+	endif(NOT CMAKE_TEST_SRCS_DIR)
+endforeach($candidate_dir ${CMAKE_MODULE_PATH})
 
-INCLUDE(CheckPrototypeExists)
-INCLUDE(CheckCSourceRuns)
-INCLUDE(CheckCSourceRuns)
+include(CheckPrototypeExists)
+include(CheckCSourceRuns)
+include(CheckCSourceRuns)
 
-MACRO(CHECK_BASENAME_D)
-	SET(BASENAME_SRC "
+macro(CHECK_BASENAME_D)
+	set(BASENAME_SRC "
 	#include <libgen.h>
 	int main(int argc, char *argv[]) {
 	(void)basename(argv[0]);
 	return 0;
 	}")
-	CHECK_C_SOURCE_RUNS("${BASENAME_SRC}" HAVE_BASENAME)
-	IF(HAVE_BASENAME)
+	check_c_source_runs("${BASENAME_SRC}" HAVE_BASENAME)
+	if(HAVE_BASENAME)
 	  add_definitions(-DHAVE_BASENAME=1)
-	ENDIF(HAVE_BASENAME)
-ENDMACRO(CHECK_BASENAME_D)
+	endif(HAVE_BASENAME)
+endmacro(CHECK_BASENAME_D)
 
-MACRO(CHECK_DIRNAME_D)
-	SET(DIRNAME_SRC "
+macro(CHECK_DIRNAME_D)
+	set(DIRNAME_SRC "
 	#include <libgen.h>
 	int main(int argc, char *argv[]) {
 	(void)dirname(argv[0]);
 	return 0;
 	}")
-	CHECK_C_SOURCE_RUNS("${DIRNAME_SRC}" HAVE_DIRNAME)
-	IF(HAVE_DIRNAME)
+	check_c_source_runs("${DIRNAME_SRC}" HAVE_DIRNAME)
+	if(HAVE_DIRNAME)
 		add_definitions(-DHAVE_DIRNAME=1)
-	ENDIF(HAVE_DIRNAME)
-ENDMACRO(CHECK_DIRNAME_D)
+	endif(HAVE_DIRNAME)
+endmacro(CHECK_DIRNAME_D)
 
 # Based on AC_HEADER_STDC - using the source code for ctype
 # checking found in the generated configure file
-MACRO(CMAKE_HEADER_STDC_D)
-  CHECK_INCLUDE_FILE(stdlib.h HAVE_STDLIB_H)
-  IF(HAVE_STDLIB_H)
+macro(CMAKE_HEADER_STDC_D)
+  check_include_file(stdlib.h HAVE_STDLIB_H)
+  if(HAVE_STDLIB_H)
   add_definitions(-DHAVE_STDLIB_H=1)
-  ENDIF(HAVE_STDLIB_H)
-  CHECK_INCLUDE_FILE(stdarg.h HAVE_STDARG_H)
-  CHECK_INCLUDE_FILE(string.h HAVE_STRING_H)
-  IF(HAVE_STRING_H)
+  endif(HAVE_STDLIB_H)
+  check_include_file(stdarg.h HAVE_STDARG_H)
+  check_include_file(string.h HAVE_STRING_H)
+  if(HAVE_STRING_H)
   add_definitions(-DHAVE_STRING_H=1)
-  ENDIF(HAVE_STRING_H)
-  CHECK_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
-  IF(HAVE_STRINGS_H)
+  endif(HAVE_STRING_H)
+  check_include_file(strings.h HAVE_STRINGS_H)
+  if(HAVE_STRINGS_H)
   add_definitions(-DHAVE_STRINGS_H=1)
-  ENDIF(HAVE_STRINGS_H)
-  CHECK_INCLUDE_FILE(float.h HAVE_FLOAT_H)
-  CHECK_PROTOTYPE_EXISTS(memchr string.h HAVE_STRING_H_MEMCHR)
-  CHECK_PROTOTYPE_EXISTS(free stdlib.h HAVE_STDLIB_H_FREE)
-  CHECK_C_SOURCE_RUNS(${CMAKE_TEST_SRCS_DIR}/ctypes_test.c WORKING_CTYPE_MACROS)
-  IF(HAVE_STDLIB_H AND HAVE_STDARG_H AND HAVE_STRING_H AND HAVE_FLOAT_H AND WORKING_CTYPE_MACROS)
+  endif(HAVE_STRINGS_H)
+  check_include_file(float.h HAVE_FLOAT_H)
+  check_prototype_exists(memchr string.h HAVE_STRING_H_MEMCHR)
+  check_prototype_exists(free stdlib.h HAVE_STDLIB_H_FREE)
+  check_c_source_runs(${CMAKE_TEST_SRCS_DIR}/ctypes_test.c WORKING_CTYPE_MACROS)
+  if(HAVE_STDLIB_H AND HAVE_STDARG_H AND HAVE_STRING_H AND HAVE_FLOAT_H AND WORKING_CTYPE_MACROS)
 	 add_definitions(-DSTDC_HEADERS=1)
-  ENDIF(HAVE_STDLIB_H AND HAVE_STDARG_H AND HAVE_STRING_H AND HAVE_FLOAT_H AND WORKING_CTYPE_MACROS)
-ENDMACRO(CMAKE_HEADER_STDC_D)
+  endif(HAVE_STDLIB_H AND HAVE_STDARG_H AND HAVE_STRING_H AND HAVE_FLOAT_H AND WORKING_CTYPE_MACROS)
+endmacro(CMAKE_HEADER_STDC_D)
 
 # Based on AC_HEADER_SYS_WAIT
-MACRO(CMAKE_HEADER_SYS_WAIT_D)
-  CHECK_C_SOURCE_RUNS(${CMAKE_TEST_SRCS_DIR}/sys_wait_test.c WORKING_SYS_WAIT)
-  IF(WORKING_SYS_WAIT)
+macro(CMAKE_HEADER_SYS_WAIT_D)
+  check_c_source_runs(${CMAKE_TEST_SRCS_DIR}/sys_wait_test.c WORKING_SYS_WAIT)
+  if(WORKING_SYS_WAIT)
 	 add_definitions(-DHAVE_SYS_WAIT_H=1)
-  ENDIF(WORKING_SYS_WAIT)
-ENDMACRO(CMAKE_HEADER_SYS_WAIT_D)
+  endif(WORKING_SYS_WAIT)
+endmacro(CMAKE_HEADER_SYS_WAIT_D)
 
 # Based on AC_FUNC_ALLOCA
-MACRO(CMAKE_ALLOCA_D)
-	CHECK_C_SOURCE_RUNS(${CMAKE_TEST_SRCS_DIR}/alloca_header_test.c WORKING_ALLOCA_H)
-	IF(WORKING_ALLOCA_H)
+macro(CMAKE_ALLOCA_D)
+	check_c_source_runs(${CMAKE_TEST_SRCS_DIR}/alloca_header_test.c WORKING_ALLOCA_H)
+	if(WORKING_ALLOCA_H)
 		add_definitions(-DHAVE_ALLOCA_H=1)
-	ENDIF(WORKING_ALLOCA_H)
-	CHECK_C_SOURCE_RUNS(${CMAKE_TEST_SRCS_DIR}/alloca_test.c WORKING_ALLOCA)
-	IF(WORKING_ALLOCA)
+	endif(WORKING_ALLOCA_H)
+	check_c_source_runs(${CMAKE_TEST_SRCS_DIR}/alloca_test.c WORKING_ALLOCA)
+	if(WORKING_ALLOCA)
 		add_definitions(-DHAVE_ALLOCA=1)
-	ENDIF(WORKING_ALLOCA)
-ENDMACRO(CMAKE_ALLOCA_D)
+	endif(WORKING_ALLOCA)
+endmacro(CMAKE_ALLOCA_D)
 
